package com.zjrs.ggfw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class JlxxZyjnUDTO implements java.io.Serializable{
    private static final long serialVersionUID = 1L;
    private String rsrlzyzyjnlsh;//职业技能流水号
    private String dyblsh; //对应表流水号
    @NotBlank(message = "简历信息流水号不能为空")
    private String rsrlzyjlxxlsh;  //简历信息流水号
    @NotBlank(message = "技能或者特长不能为空")
    private String jnhztc;//技能或者特长
    @NotBlank(message = "资格等级不能为空")
    private String zgdj;//资格等级
    @NotBlank(message = "获取时间不能为空")
    private String hqsj;//获取时间
    private String cygz;//从业工种
    @NotBlank(message = "证书号不能为空")
    private String zsh;//证书号
    private String csnx;//从事年限
    private String sm;//说明
    private String jlssr;

    public String getJlssr() {
        return jlssr;
    }

    public void setJlssr(String jlssr) {
        this.jlssr = jlssr;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getRsrlzyzyjnlsh() {
        return rsrlzyzyjnlsh;
    }

    public void setRsrlzyzyjnlsh(String rsrlzyzyjnlsh) {
        this.rsrlzyzyjnlsh = rsrlzyzyjnlsh;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getJnhztc() {
        return jnhztc;
    }

    public void setJnhztc(String jnhztc) {
        this.jnhztc = jnhztc;
    }

    public String getZgdj() {
        return zgdj;
    }

    public void setZgdj(String zgdj) {
        this.zgdj = zgdj;
    }

    public String getHqsj() {
        return hqsj;
    }

    public void setHqsj(String hqsj) {
        this.hqsj = hqsj;
    }

    public String getCygz() {
        return cygz;
    }

    public void setCygz(String cygz) {
        this.cygz = cygz;
    }

    public String getZsh() {
        return zsh;
    }

    public void setZsh(String zsh) {
        this.zsh = zsh;
    }

    public String getCsnx() {
        return csnx;
    }

    public void setCsnx(String csnx) {
        this.csnx = csnx;
    }

    public String getSm() {
        return sm;
    }

    public void setSm(String sm) {
        this.sm = sm;
    }
}

